Bug 256960 - net/3proxy: Minor clean up in Makefile
Summary: net/3proxy: Minor clean up in Makefile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-07-03 21:09 UTC by Daniel Engberg
Modified: 2021-09-29 07:45 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (timp87)
koobs: merge-quarterly?


Attachments
Patch for 3proxy (2.34 KB, patch)
2021-07-03 21:09 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2021-07-03 21:09:02 UTC
Created attachment 226199 [details]
Patch for 3proxy

Use offical/correct repo
Reduce patching
Don't override LDFLAGS from Ports framework
Comment 1 Daniel Engberg freebsd_committer 2021-07-03 21:14:08 UTC
Changes submitted upstream https://github.com/3proxy/3proxy/pull/661
Comment 2 Pavel Timofeev 2021-07-12 17:45:30 UTC
Sorry for the delay. I'm a bit busy these days.
I'll review it within a week.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-14 10:19:12 UTC
These are all, pending QA:

Approved by: portmgr (blanket: ports compliance, JFI)
Comment 4 Daniel Engberg freebsd_committer 2021-09-26 07:02:47 UTC
Friendly ping
Comment 5 commit-hook freebsd_committer 2021-09-29 07:43:33 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d0a322bbd673b43cdc0594e669a85b9bbf5a8491

commit d0a322bbd673b43cdc0594e669a85b9bbf5a8491
Author:     Daniel Engberg <diizzy@FreeBSD.org>
AuthorDate: 2021-09-29 07:33:22 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2021-09-29 07:42:27 +0000

    net/3proxy: Minor cleanup in Makefile

    Use official/correct repo
    Reduce patching
    Don't override LDFLAGS from Ports framework

    PR:             256960
    Approved by:    port maintainer timeout (2+ months), arrowd (mentor)
    Differential Revision:  https://reviews.freebsd.org/D32217

 net/3proxy/Makefile                     |  4 +---
 net/3proxy/distinfo                     |  6 +++---
 net/3proxy/files/patch-Makefile.FreeBSD | 10 ++++++----
 3 files changed, 10 insertions(+), 10 deletions(-)
Comment 6 Daniel Engberg freebsd_committer 2021-09-29 07:45:48 UTC
Committed